Bug 855873 - Jgroups failed sending diag rsp: Message too long
Jgroups failed sending diag rsp: Message too long
Status: CLOSED NOTABUG
Product: JBoss Data Grid 6
Classification: JBoss
Component: Library (Show other bugs)
6.0.1
Unspecified Unspecified
low Severity low
: ER1
: 6.1.0
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks: 854662
  Show dependency treegraph
 
Reported: 2012-09-10 09:22 EDT by Ondrej Nevelik
Modified: 2013-03-07 19:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-28 08:58:37 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Nevelik 2012-09-10 09:22:56 EDT
During multiplecaches test in Library mode (i.e. there are ~50 caches running at each node) this IOException appears: 
ERROR [org.jgroups.protocols.UDP] (DiagnosticsHandler,x,edg-perf01-39764) failed sending diag rsp to /10.16.88.165:51576
java.io.IOException: Message too long
	at java.net.PlainDatagramSocketImpl.send(Native Method)
	at java.net.DatagramSocket.send(DatagramSocket.java:625)
	at org.jgroups.stack.DiagnosticsHandler.sendResponse(DiagnosticsHandler.java:196)
	at org.jgroups.stack.DiagnosticsHandler.handleDiagnosticProbe(DiagnosticsHandler.java:157)
	at org.jgroups.stack.DiagnosticsHandler.run(DiagnosticsHandler.java:118)
	at java.lang.Thread.run(Thread.java:662)



The job: https://jenkins.mw.lab.eng.bos.redhat.com/hudson/view/EDG6/view/JDG-RADARGUN/job/jdg-60-radargun-perf-multicache/26/artifact/report/

For the server log, either see the stdout.zip or have a look into the loganalasis/slave folder.
Comment 2 Tristan Tarrant 2012-09-12 08:28:32 EDT
Nothing really to see here: JGroups diag is broken and it should never be enabled in the configuration (it is disabled in default server and library configs)

Note You need to log in before you can comment on or make changes to this bug.